Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class AccountReport25

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.AccountReport25

    public class AccountReport25
    extends java.lang.Object

Java class for AccountReport25 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AccountReport25">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max35Text"/>
             <element name="RptPgntn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Pagination1" minOccurs="0"/>
             <element name="ElctrncSeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Number" minOccurs="0"/>
             <element name="RptgSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}SequenceRange1Choice" minOccurs="0"/>
             <element name="LglSeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Number" minOccurs="0"/>
             <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ISODateTime" minOccurs="0"/>
             <element name="FrToDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}DateTimePeriod1" minOccurs="0"/>
             <element name="CpyDplctInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CopyDuplicate1Code" minOccurs="0"/>
             <element name="RptgSrc" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ReportingSource1Choice" minOccurs="0"/>
             <element name="Acct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CashAccount39"/>
             <element name="RltdAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CashAccount38" minOccurs="0"/>
             <element name="Intrst" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}AccountInterest4" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Bal" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CashBalance8" maxOccurs="unbounded" minOccurs="0"/>
             <element name="TxsSummry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}TotalTransactions6" minOccurs="0"/>
             <element name="Ntry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ReportEntry10" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AddtlRptInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max500Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CashAccount39` `acct`
`protected java.lang.String` `addtlRptInf`
`protected java.util.List<CashBalance8>` `bal`
`protected CopyDuplicate1Code` `cpyDplctInd`
`protected javax.xml.datatype.XMLGregorianCalendar` `creDtTm`
`protected java.math.BigDecimal` `elctrncSeqNb`
`protected DateTimePeriod1` `frToDt`
`protected java.lang.String` `id`
`protected java.util.List<AccountInterest4>` `intrst`
`protected java.math.BigDecimal` `lglSeqNb`
`protected java.util.List<ReportEntry10>` `ntry`
`protected CashAccount38` `rltdAcct`
`protected SequenceRange1Choice` `rptgSeq`
`protected ReportingSource1Choice` `rptgSrc`
`protected Pagination1` `rptPgntn`
`protected TotalTransactions6` `txsSummry`

### Constructor Summary

Constructors
`AccountReport25()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CashAccount39` `getAcct()` Gets the value of the acct property.
`java.lang.String` `getAddtlRptInf()` Gets the value of the addtlRptInf property.
`java.util.List<CashBalance8>` `getBal()` Gets the value of the bal property.
`CopyDuplicate1Code` `getCpyDplctInd()` Gets the value of the cpyDplctInd property.
`javax.xml.datatype.XMLGregorianCalendar` `getCreDtTm()` Gets the value of the creDtTm property.
`java.math.BigDecimal` `getElctrncSeqNb()` Gets the value of the elctrncSeqNb property.
`DateTimePeriod1` `getFrToDt()` Gets the value of the frToDt property.
`java.lang.String` `getId()` Gets the value of the id property.
`java.util.List<AccountInterest4>` `getIntrst()` Gets the value of the intrst property.
`java.math.BigDecimal` `getLglSeqNb()` Gets the value of the lglSeqNb property.
`java.util.List<ReportEntry10>` `getNtry()` Gets the value of the ntry property.
`CashAccount38` `getRltdAcct()` Gets the value of the rltdAcct property.
`SequenceRange1Choice` `getRptgSeq()` Gets the value of the rptgSeq property.
`ReportingSource1Choice` `getRptgSrc()` Gets the value of the rptgSrc property.
`Pagination1` `getRptPgntn()` Gets the value of the rptPgntn property.
`TotalTransactions6` `getTxsSummry()` Gets the value of the txsSummry property.
`void` `setAcct​(CashAccount39 value)` Sets the value of the acct property.
`void` `setAddtlRptInf​(java.lang.String value)` Sets the value of the addtlRptInf property.
`void` `setCpyDplctInd​(CopyDuplicate1Code value)` Sets the value of the cpyDplctInd property.
`void` `setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the creDtTm property.
`void` `setElctrncSeqNb​(java.math.BigDecimal value)` Sets the value of the elctrncSeqNb property.
`void` `setFrToDt​(DateTimePeriod1 value)` Sets the value of the frToDt property.
`void` `setId​(java.lang.String value)` Sets the value of the id property.
`void` `setLglSeqNb​(java.math.BigDecimal value)` Sets the value of the lglSeqNb property.
`void` `setRltdAcct​(CashAccount38 value)` Sets the value of the rltdAcct property.
`void` `setRptgSeq​(SequenceRange1Choice value)` Sets the value of the rptgSeq property.
`void` `setRptgSrc​(ReportingSource1Choice value)` Sets the value of the rptgSrc property.
`void` `setRptPgntn​(Pagination1 value)` Sets the value of the rptPgntn property.
`void` `setTxsSummry​(TotalTransactions6 value)` Sets the value of the txsSummry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected java.lang.String id

#### rptPgntn

    protected Pagination1 rptPgntn

#### elctrncSeqNb

    protected java.math.BigDecimal elctrncSeqNb

#### rptgSeq

    protected SequenceRange1Choice rptgSeq

#### lglSeqNb

    protected java.math.BigDecimal lglSeqNb

#### creDtTm

    protected javax.xml.datatype.XMLGregorianCalendar creDtTm

#### frToDt

    protected DateTimePeriod1 frToDt

#### cpyDplctInd

    protected CopyDuplicate1Code cpyDplctInd

#### rptgSrc

    protected ReportingSource1Choice rptgSrc

#### acct

    protected CashAccount39 acct

#### rltdAcct

    protected CashAccount38 rltdAcct

#### intrst

    protected java.util.List<AccountInterest4> intrst

#### bal

    protected java.util.List<CashBalance8> bal

#### txsSummry

    protected TotalTransactions6 txsSummry

#### ntry

    protected java.util.List<ReportEntry10> ntry

#### addtlRptInf

    protected java.lang.String addtlRptInf

### Constructor Detail

#### AccountReport25

    public AccountReport25()

### Method Detail

#### getId

    public java.lang.String getId()

Gets the value of the id property.

Returns:
  possible object is `String`

#### setId

    public void setId​(java.lang.String value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

#### getRptPgntn

    public Pagination1 getRptPgntn()

Gets the value of the rptPgntn property.

Returns:
  possible object is `Pagination1`

#### setRptPgntn

    public void setRptPgntn​(Pagination1 value)

Sets the value of the rptPgntn property.

Parameters:
  `value` - allowed object is `Pagination1`

#### getElctrncSeqNb

    public java.math.BigDecimal getElctrncSeqNb()

Gets the value of the elctrncSeqNb property.

Returns:
  possible object is `BigDecimal`

#### setElctrncSeqNb

    public void setElctrncSeqNb​(java.math.BigDecimal value)

Sets the value of the elctrncSeqNb property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getRptgSeq

    public SequenceRange1Choice getRptgSeq()

Gets the value of the rptgSeq property.

Returns:
  possible object is `SequenceRange1Choice`

#### setRptgSeq

    public void setRptgSeq​(SequenceRange1Choice value)

Sets the value of the rptgSeq property.

Parameters:
  `value` - allowed object is `SequenceRange1Choice`

#### getLglSeqNb

    public java.math.BigDecimal getLglSeqNb()

Gets the value of the lglSeqNb property.

Returns:
  possible object is `BigDecimal`

#### setLglSeqNb

    public void setLglSeqNb​(java.math.BigDecimal value)

Sets the value of the lglSeqNb property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getCreDtTm

    public javax.xml.datatype.XMLGregorianCalendar getCreDtTm()

Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setCreDtTm

    public void setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getFrToDt

    public DateTimePeriod1 getFrToDt()

Gets the value of the frToDt property.

Returns:
  possible object is `DateTimePeriod1`

#### setFrToDt

    public void setFrToDt​(DateTimePeriod1 value)

Sets the value of the frToDt property.

Parameters:
  `value` - allowed object is `DateTimePeriod1`

#### getCpyDplctInd

    public CopyDuplicate1Code getCpyDplctInd()

Gets the value of the cpyDplctInd property.

Returns:
  possible object is `CopyDuplicate1Code`

#### setCpyDplctInd

    public void setCpyDplctInd​(CopyDuplicate1Code value)

Sets the value of the cpyDplctInd property.

Parameters:
  `value` - allowed object is `CopyDuplicate1Code`

#### getRptgSrc

    public ReportingSource1Choice getRptgSrc()

Gets the value of the rptgSrc property.

Returns:
  possible object is `ReportingSource1Choice`

#### setRptgSrc

    public void setRptgSrc​(ReportingSource1Choice value)

Sets the value of the rptgSrc property.

Parameters:
  `value` - allowed object is `ReportingSource1Choice`

#### getAcct

    public CashAccount39 getAcct()

Gets the value of the acct property.

Returns:
  possible object is `CashAccount39`

#### setAcct

    public void setAcct​(CashAccount39 value)

Sets the value of the acct property.

Parameters:
  `value` - allowed object is `CashAccount39`

#### getRltdAcct

    public CashAccount38 getRltdAcct()

Gets the value of the rltdAcct property.

Returns:
  possible object is `CashAccount38`

#### setRltdAcct

    public void setRltdAcct​(CashAccount38 value)

Sets the value of the rltdAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

#### getIntrst

    public java.util.List<AccountInterest4> getIntrst()

Gets the value of the intrst property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the intrst property.

For example, to add a new item, do as follows:

        getIntrst().add(newItem);

Objects of the following type(s) are allowed in the list `AccountInterest4`

#### getBal

    public java.util.List<CashBalance8> getBal()

Gets the value of the bal property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bal property.

For example, to add a new item, do as follows:

        getBal().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalance8`

#### getTxsSummry

    public TotalTransactions6 getTxsSummry()

Gets the value of the txsSummry property.

Returns:
  possible object is `TotalTransactions6`

#### setTxsSummry

    public void setTxsSummry​(TotalTransactions6 value)

Sets the value of the txsSummry property.

Parameters:
  `value` - allowed object is `TotalTransactions6`

#### getNtry

    public java.util.List<ReportEntry10> getNtry()

Gets the value of the ntry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ntry property.

For example, to add a new item, do as follows:

        getNtry().add(newItem);

Objects of the following type(s) are allowed in the list `ReportEntry10`

#### getAddtlRptInf

    public java.lang.String getAddtlRptInf()

Gets the value of the addtlRptInf property.

Returns:
  possible object is `String`

#### setAddtlRptInf

    public void setAddtlRptInf​(java.lang.String value)

Sets the value of the addtlRptInf property.

Parameters:
  `value` - allowed object is `String`